{ config, ... }:
{
  fileSystems = with config.services.mycelium.ips; {
    "/persist/storage" = {
      device = "/dev/disk/by-uuid/edd3e293-1aff-4fc0-96fa-4e17d6cccfca";
      fsType = "btrfs";
      options = [
        "nofail"
        "nosuid"
      ];
    };

    # Network mounts
    "/home/${config.sysusers.main}/Network/Midas" = {
      device = "[${midas}]:/storage";
      fsType = "nfs4";
      options = [
        "x-systemd.automount"
        "noauto"
        "soft"
      ];
    };
    "/home/${config.sysusers.main}/Network/Prophet" = {
      device = "[${prophet}]:/storage";
      fsType = "nfs4";
      options = [
        "noauto"
        "soft"
        "x-systemd.automount"
      ];
    };
  };
}
